Bug 139792 - man page documentation for run_init is wrong
Summary: man page documentation for run_init is wrong
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: policycoreutils   
(Show other bugs)
Version: 3
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-11-18 01:44 UTC by Rahul Sundaram
Modified: 2007-11-30 22:10 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-05 06:42:19 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Rahul Sundaram 2004-11-18 01:44:34 UTC
Description of problem:

man run_init has the location of initrc_context wrong.


Version-Release number of selected component (if applicable):
policycoreutils-1.18.1-2

How reproducible:
everytime

Steps to Reproduce:
1. man run_init
2. check the location of initrc_context

  
Actual results:

 "   Run  a  init  script  under  the  proper context, which is
specified in
       /etc/security/initrc_context."

the files in fc3 resides on the following locations

/etc/selinux/targeted/contexts/initrc_context
/etc/selinux/targeted/src/policy/appconfig/initrc_context
/etc/selinux/strict/contexts/initrc_context
/etc/selinux/strict/src/policy/appconfig/initrc_context

Expected results:

Man page should refer to targetted and strict policies and give the
correct locations as specified above
Additional info:

If you guys dont have time to work on this, I will try and attach a
man page patch

Comment 1 Daniel Walsh 2004-11-18 16:07:20 UTC
Fixed in policycoreutils-1.18.2-3 in rawhide

Comment 2 Rahul Sundaram 2004-11-18 18:31:27 UTC
I believe rawhide is the same as development tree in 

download.fedora.redhat.com:/pub/fedora/linux/core/development/i386/Fedora/RPMS

If so it only has "policycoreutils-1.18.1-1.i386.rpm" which is older
than my fc3 package. 

How do we proceed?

Comment 3 Daniel Walsh 2004-11-18 18:44:34 UTC
It will be there tomorrow.
There is usually a 24 hour turnaround on rawhide
Dan


Note You need to log in before you can comment on or make changes to this bug.